import Api from "~/service/Api";
export default class Trnrel{
    constructor () {
        this.data = {
						trncorco:{
							ownref:"",			//  Reference		.trncorco.ownref
							relflg:"",			//  Status		.trncorco.relflg
							inidatfro:"",			//  Date of entry of Transaction		.trncorco.inidatfro
							inidattil:"",			//  Date of entry of Transaction until		.trncorco.inidattil
							trnstm:"",			//  List of transaction sfor display		.trncorco.trnstm
							dflg:"",			//  国内证标志		.trncorco.dflg
						},
						atp:{
							cod:"",			//  Transaction Type 		.atp.cod
						},
						atpget:{
							sdamod:{
								seainf:"",			//  		.atpget.sdamod.seainf
								dadsnd:"",			//  Drag  Drop Sender		.atpget.sdamod.dadsnd
							},
						},
						atptxt:"",			//  Transaction Text		.atptxt
						numtrn:"",			//  # of transactions		.numtrn
						orddsp:"",			//  >>		.orddsp
						bchcon:"",			//  Branch		.bchcon
						usrcon:"",			//  User		.usrcon
						recpan:{
							cpltxt:"",			//  Completion text		.recpan.cpltxt
							spt:{
								sta:"",			//  Status		.recpan.spt.sta
							},
							ord:{
								sta:"",			//  Status		.recpan.ord.sta
							},
							recget:{
								sdamod:{
									seainf:"",			//  Ident No.		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							atp:{
								cod:"",			//  Transaction  ID		.recpan.atp.cod
							},
							atpget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.recpan.atpget.sdamod.dadsnd
									seainf:"",			//  Transaction		.recpan.atpget.sdamod.seainf
								},
							},
							smhstm:"",			//  Documents		.recpan.smhstm
							usr:{
								extkey:"",			//  User ID		.recpan.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.recpan.usrget.sdamod.seainf
								},
							},
							trsstm:"",			//  Signatures		.recpan.trsstm
							con:"",			//  Reference		.recpan.con
							cretrs:{
								usr:"",			//  Entered by		.recpan.cretrs.usr
								dattim:"",			//  Timestamp		.recpan.cretrs.dattim
							},
							ackgrp:{
								rec:{
									sndref:"",			//  Send to SOP/CASmf reference		.recpan.ackgrp.rec.sndref
								},
							},
							wfestm:"",			//  WFEs for transaction for display		.recpan.wfestm
							evthisstm:"",			//  stream of history of transactions		.recpan.evthisstm
							evtstm:"",			//  stream of events		.recpan.evtstm
							ackstm:"",			//  ACKs for transaction		.recpan.ackstm
							trostm:"",			//  TROs for transaction for display		.recpan.trostm
							prtgleblk:"",			//  XMLPanel prtgle的内置block		.recpan.prtgleblk
							prtpanblk:"",			//  XMLPanel prtpan的内置block		.recpan.prtpanblk
						},
						trn:{
							ownref:"",			//  Reference		.trn.ownref
							inr:"",			//  Transaction Key		.trn.inr
							objnam:"",			//  External Readable Object Identification		.trn.objnam
							reloricur:"",			//  Relevant Amount		.trn.reloricur
							reloriamt:"",			//  Relevant Amount for Release in Original Currency		.trn.reloriamt
							relflg:"",			//  Release Status of Transaction		.trn.relflg
							usr:"",			//  Responsible		.trn.usr
							usg:"",			//  Responsible Group		.trn.usg
							relreq:"",			//  Signatures Required/Obtained		.trn.relreq
							relres:"",			//  Applied Signatures		.trn.relres
							cortrninr:"",			//  Based on Ident No.		.trn.cortrninr
							exedat:"",			//  Execution Date		.trn.exedat
							inftxt:"",			//  Infotext		.trn.inftxt
							infdsp:"",			//  Infoflag		.trn.infdsp
						},
						wfmmod:{
							wfs:{
								objnam:"",			//  External Readable Object Identification		.wfmmod.wfs.objnam
								objtyp:"",			//  Table Used to Store Associated Object		.wfmmod.wfs.objtyp
								objinr:"",			//  Object		.wfmmod.wfs.objinr
							},
						},
						docimm:{
							prtswtpblk:"",			//  XMLPanel prtswtp的内置block		.docimm.prtswtpblk
							xmldocblk:"",			//  XMLPanel xmldoc的内置block		.docimm.xmldocblk
							prtswtrpblk:"",			//  XMLPanel prtswtrp的内置block		.docimm.prtswtrpblk
							docbol:{
								prtpblk:"",			//  XMLPanel prtp的内置block		.docimm.docbol.prtpblk
							},
						},
				}
    }
}